require_relative "../classes.rb"

class TestPrinterBehavior < BaseBehaviorTestCase

  def setup
    super
    @subject = Printer.new "narration_printer"
    @subject.console_width = 60
  end

  def test_subject_tracks_since_last_nl_correctly
   s1 = "yo " * 20
   @subject.print_s s1
   assert_equal s1,  @subject.since_last_line

   @subject.print_s "hi"
   assert_equal "hi",  @subject.since_last_line
  end


end

